> ## Documentation Index
> Fetch the complete documentation index at: https://docs.agents.labs.bandwidth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Runs

> Retrieve all runs for a workflow

Returns all runs for the given workflow, including both test runs and live call runs.


## OpenAPI

````yaml GET /api/v1/workflow/{workflow_id}/runs
openapi: 3.1.0
info:
  title: Bandwidth Agent Builder API
  version: v1
  description: >-
    Manage agents, place calls, and retrieve conversation results in your
    workspace.
servers:
  - url: https://agents.labs.bandwidth.com
    description: Workspace API
security: []
paths:
  /api/v1/workflow/{workflow_id}/runs:
    get:
      tags:
        - agents
      summary: List Runs
      description: Retrieve all runs for a workflow
      operationId: get_workflow_runs_api_v1_workflow__workflow_id__runs_get
      parameters:
        - name: workflow_id
          in: path
          required: true
          schema:
            type: integer
            title: Workflow Id
        - name: page
          in: query
          required: false
          schema:
            type: integer
            default: 1
            title: Page
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            default: 50
            title: Limit
        - name: filters
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: JSON-encoded filter criteria
            title: Filters
          description: JSON-encoded filter criteria
        - name: sort_by
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Field to sort by (e.g., 'duration', 'created_at')
            title: Sort By
          description: Field to sort by (e.g., 'duration', 'created_at')
        - name: sort_order
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Sort order ('asc' or 'desc')
            default: desc
            title: Sort Order
          description: Sort order ('asc' or 'desc')
        - name: X-VOAI-ORGANIZATION-ID
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Voai-Organization-Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WorkflowRunsResponse'
        '404':
          description: Not found
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - LabsAuth: []
        - LabsApiKey: []
components:
  schemas:
    WorkflowRunsResponse:
      properties:
        runs:
          items:
            $ref: '#/components/schemas/WorkflowRunResponseSchema'
          type: array
          title: Runs
        total_count:
          type: integer
          title: Total Count
        page:
          type: integer
          title: Page
        limit:
          type: integer
          title: Limit
        total_pages:
          type: integer
          title: Total Pages
        applied_filters:
          anyOf:
            - items:
                additionalProperties: true
                type: object
              type: array
            - type: 'null'
          title: Applied Filters
      type: object
      required:
        - runs
        - total_count
        - page
        - limit
        - total_pages
      title: WorkflowRunsResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    WorkflowRunResponseSchema:
      properties:
        id:
          type: integer
          title: Id
        workflow_id:
          type: integer
          title: Workflow Id
        name:
          type: string
          title: Name
        mode:
          type: string
          title: Mode
        created_at:
          type: string
          format: date-time
          title: Created At
        state:
          type: string
          title: State
        is_completed:
          type: boolean
          title: Is Completed
        transcript_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Transcript Url
        recording_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Recording Url
        cost_info:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Cost Info
        usage_info:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Usage Info
        definition_id:
          anyOf:
            - type: integer
            - type: 'null'
          title: Definition Id
        initial_context:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Initial Context
        gathered_context:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Gathered Context
        call_type:
          $ref: '#/components/schemas/CallType'
        logs:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Logs
        annotations:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Annotations
      type: object
      required:
        - id
        - workflow_id
        - name
        - mode
        - created_at
        - state
        - is_completed
        - transcript_url
        - recording_url
        - cost_info
        - definition_id
        - call_type
      title: WorkflowRunResponseSchema
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    CallType:
      type: string
      enum:
        - inbound
        - outbound
      title: CallType
  securitySchemes:
    LabsAuth:
      type: http
      scheme: bearer
    LabsApiKey:
      type: apiKey
      in: header
      name: X-BW-LABS-AGENTS-API-KEY

````